﻿using System.Windows.Controls;
using System;
using System.Collections.ObjectModel;
using System.Linq;
using System.Windows;
using Infragistics.Controls.Grids;

namespace SilverlightApplication1
{
    public partial class MainPage : UserControl
    {

        #region ctor

        public MainPage()
        {
            InitializeComponent();
        }

        #endregion

        private void igGrid_SelectedCellsCollectionChanged(object sender, Infragistics.Controls.Grids.SelectionCollectionChangedEventArgs<Infragistics.Controls.Grids.SelectedCellsCollection> e)
        {
            // Clear the style of the cells that are no longer selected:
            var deselectedCells = e.PreviouslySelectedItems.Except(e.NewSelectedItems);
            foreach (Cell cell in deselectedCells)
            {
                cell.Style = null;
            }

            // Set the style on the newly selected cells:
            var newlySelectedCells = e.NewSelectedItems.Except(e.PreviouslySelectedItems);
            foreach (Cell cell in newlySelectedCells)
            {
                cell.Style = this.Resources["CustomSelectionStyle"] as Style;
            }
        }

    }
}
